import Vue from 'vue'
import App from '@/App'
import router from '@/router'
import store from '@/store'
import VueCookie from 'vue-cookie'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import { isAuth } from '@/utils'
import echarts from 'echarts'
import '@/assets/scss/index.scss'
import '@/element-ui-theme'
import watermark from '@/utils/watermark'

import VCharts from 'v-charts'
Vue.use(VCharts)
Vue.use(ElementUI)
Vue.use(VueCookie)
Vue.config.productionTip = false

// 挂载全局
Vue.prototype.$watermark = watermark // 水印
Vue.prototype.$echarts = echarts // echarts画图
Vue.prototype.isAuth = isAuth     // 权限方法

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  template: '<App/>',
  components: { App }
})
